# Function that makes a new set of shadows
makeNewShadows = (layer) ->
	newShadows = []
	# For every shadow on the layer …
	for shadow in layer.shadows
		# … a new shadow with the same color
		# but random x, y and blur
		newShadow =
			x: Utils.randomNumber -40, 40
			y: Utils.randomNumber -40, 40
			blur: Utils.randomNumber 0, 20
			color: shadow.color
		
		newShadows.push newShadow
	
	return newShadows


layer_A.onTap ->
	# Save existing shadows
	originalShadows = @shadows
	# Animate to new shadows
	@animate
		shadows: makeNewShadows this
	# Animate back to the original ones
	Utils.delay 1, =>
		@animate
			shadows: originalShadows


layer_B.onTap ->
	# Blur all shadows
	@animate
		shadowBlur: 25
	# Remove the blur
	Utils.delay 1, =>
		@animate
			shadowBlur: 0
